interactions:
- request:
    body: '{"messages":[{"role":"user","content":"What is the capital of France? Be concise."}],"model":"gpt-4o","response_format":{"type":"json_schema","json_schema":{"name":"AnswerResponse","strict":true,"schema":{"description":"Response model with structured fields.","properties":{"answer":{"description":"The answer to the question","title":"Answer","type":"string"},"confidence":{"description":"Confidence score between 0 and 1","title":"Confidence","type":"number"}},"required":["answer","confidence"],"title":"AnswerResponse","type":"object","additionalProperties":false}}}}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate, zstd
      connection:
      - keep-alive
      content-length:
      - '571'
      content-type:
      - application/json
      host:
      - api.openai.com
      user-agent:
      - OpenAI/Python 1.109.1
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.109.1
      x-stainless-read-timeout:
      - '600'
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.12.10
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-CfYfk9BEay0f7mJW58zsI2Pknson4\",\n  \"object\": \"chat.completion\",\n  \"created\": 1764020764,\n  \"model\": \"gpt-4o-2024-08-06\",\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\": \"assistant\",\n        \"content\": \"{\\\"answer\\\":\\\"Paris\\\",\\\"confidence\\\":0.99}\",\n        \"refusal\": null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 94,\n    \"completion_tokens\": 11,\n    \"total_tokens\": 105,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\": {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\": 0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\": \"default\",\n  \"system_fingerprint\": \"fp_c98e05ca17\"\n}\n"
    headers:
      CF-RAY:
      - 9a3c18cf7fe04253-EWR
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Mon, 24 Nov 2025 21:46:05 GMT
      Server:
      - cloudflare
      Set-Cookie:
      - FILTERED
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains; preload
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      access-control-expose-headers:
      - X-Request-ID
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - FILTERED
      openai-processing-ms:
      - '448'
      openai-project:
      - FILTERED
      openai-version:
      - '2020-10-01'
      x-envoy-upstream-service-time:
      - '465'
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-project-requests:
      - '10000'
      x-ratelimit-limit-requests:
      - '10000'
      x-ratelimit-limit-tokens:
      - '30000000'
      x-ratelimit-remaining-project-requests:
      - '9999'
      x-ratelimit-remaining-requests:
      - '9999'
      x-ratelimit-remaining-tokens:
      - '29999987'
      x-ratelimit-reset-project-requests:
      - 6ms
      x-ratelimit-reset-requests:
      - 6ms
      x-ratelimit-reset-tokens:
      - 0s
      x-request-id:
      - req_765510cb1e614ed6a83e665bf7c5a07b
    status:
      code: 200
      message: OK
version: 1
